# Summary

* [Introduction](README.md)
* 快速入门
    * [开始使用TensorFlow 2.0](tutorials/quickstart/getting_started.md)
    * [Effective TensorFlow 2]()
    * [Migrate from TF 1 to TF 2]()
    * [Convert with the upgrade script]()
    * [Get started for beginners]()
    * [Get started for experts]()
* 初学者教程
    * ML basics
        * [Overview]()
        * [Classify images]()
        * [Classify text]()
        * [Classify structured data]()
        * [Regression]()
        * [Overfitting and underfitting]()
        * [Save and restore models]()
    * Images
        * [Convolutional neural networks]()
        * [Transfer learning with TFHub]()
        * [Transfer learning with pretrained CNNs]()
    * 文本和序列
        * [Word Embeddings 简介](tutorials/text/word_embeddings.md)
        * [Classify preprocessed text]()
        * [Classify text with a RNN]()
    * Estimators
        * [Premade estimators]()
        * [Linear models]()
* ADVANCED TUTORIALS
    * Customization
        * [Overview]()
        * [Tensors and operations]()
        * [Custom layers]()
        * [Automatic differentiation]()
        * [Custom training: basics]()
        * [Custom training: walkthrough]()
        * [TF function and AutoGraph]()
    * Text and sequences
        * [Generate text with an RNN]()
        * [Translation with attention]()
        * [Image captioning]()
        * [Transformer model for language understanding]()
    * lmage generation
        * [Style transfer]()
        * [DCGAN]()
        * [Pix2Pix]()
        * [CycleGAN]()
        * [Variational autoencoder]()
        * [Adversarial FGSM]()
    * Load and preprocess data
        * [CSV]()
        * [Numpy]()
        * [Pandas]()
        * [lmages]()
        * [Text]()
        * [TFRecords]()
        * [Unicode]()
        * [TF.Text]()
    * Distributed training
        * [Distributed training]()
        * [Distributed training with custom]()
        * [training loops]()
        * [Multi worker training with]()
        * [Estimator]()
        * [Multi worker training with Keras]()
* GUIDE
    * [Eager essentials]()
    * [Variables]()
    * [AutoGraph]()
    * Keras
        * [Keras overview]()
        * [Keras functional API]()
        * [Train and evaluate]()
        * [Write layers and models from scratch]()
        * [Save and serialize models]()
        * [Write custom callbacks]()
    * Accelerators
        * [Distribution strategy]()
        * [Using GPU]()
    * Data input pipelines
        * [tf.data Overview]()
        * [Performance]()
    * Serialization
        * [Checkpoints]()
        * [Saved models]()
    * Misc
        * [Version compatibility]()
